Bug 210459 - scheduling an upgrade of package will always install the latest instead of the version you selected
scheduling an upgrade of package will always install the latest instead of th...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn410
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Beth Nackashi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-12 05:45 EDT by David Ash
Modified: 2007-05-10 07:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: rhn500
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-19 16:39:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Ash 2006-10-12 05:45:21 EDT
Description of problem:
When I schedule an old version of a package from rhn to be installed on a
system, I can see the scheduled event and the old package version.  However when
I do an rhn_check from the client system, it will not install the version I
selected but will only install/upgrade the newer version.

Version-Release number of selected component (if applicable):
Only tested in 410

How reproducible:
Only tested once, and only on a package I previously had installed.  Ie. the
package I had installed was older than the version I wanted to upgrade to but
not the latest.

Steps to Reproduce:
From rhn
1. Go to channels -> package search
2. Search for package you want to install
3. Select an old version of package.  In this case I selected a package that was
newer than the one I currently had installed, but older than the original.
4. From client either wait form sheduled event to occur or rhn_check
5. newer package will be installed instead of old
  
Actual results:
Installs newer version

Expected results:
Meant to install the old version that I selected

Additional info:
From rhn I had the following output display on the screen:
"httpd-2.0.46-57.ent has been scheduled for install on 1 system."

From the client I get the following output:
# rhn_check

Name                                    Version        Rel
----------------------------------------------------------
httpd                                   2.0.46         61.ent            i386

httpd-2.0.46-61.ent.i386.rp ########################## Done.
httpd-devel-2.0.46-61.ent.i ########################## Done.
mod_ssl-2.0.46-61.ent.i386. ########################## Done.
Preparing              ########################################### [100%]

Repackaging...
     httpd                  ########################################### [100%]
     httpd-devel            ########################################### [100%]
     mod_ssl                ########################################### [100%]

Installing...
   1:httpd                  ########################################### [100%]
   2:httpd-devel            ########################################### [100%]
   3:mod_ssl                ########################################### [100%]
The following packages were added to your selection to satisfy dependencies:

Name                                    Version        Release
--------------------------------------------------------------
httpd-devel                             2.0.46         61.ent
mod_ssl                                 2.0.46         61.ent
Comment 3 Bret McMillan 2007-03-19 16:39:51 EDT
The RHEL 3.9, 4.5, and 5 clients should support explicit versioning if it is
handed down from the server.  rhn500 should be explicit in terms of capturing
specific nvrea and passing that down to the clients, please reopen the bug if
you're seeing behavior that contradicts that.

Note You need to log in before you can comment on or make changes to this bug.